DataForSendToPrinterPos80

net.posprinter.utils

## Class DataForSendToPrinterPos80

- java.lang.Object
- - net.posprinter.utils.DataForSendToPrinterPos80

-     public class DataForSendToPrinterPos80
      extends java.lang.Object

  As the instruction processing tools. The processing instruction is only applicable to 80mm series of needle printer XP 80xx series products. The specific decription and effect which you used should refer to programming manuals.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataForSendToPrinterPos80()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `allowOrForbidPressButton(int n)` allow or forbiden the press button ESC c 5 n
    `static byte[]` | `CancelChineseCharModel()` cancel chinese-char model FS .
    `static byte[]` | `cancelUserDefinedCharacters(int n)` cancel user defined characters ESC ? n Cancel the user-defined characters in the code for the n character
    `static byte[]` | `canclePrintDataByPagemodel()` cancel the data for print in page model CAN
    `static byte[]` | `creatCashboxContorlPulse(int m, int t1, int t2)` creat cashbox contorl pulse ESC p m t1 t2
    `static byte[]` | `definedDownLoadBmp(android.graphics.Bitmap bitmap, BitmapToByteData.BmpType bmpType)` defined downLoad bitmap GS x y [ d1...d(xy*8)] single bitmap £ºn=(width+7)/8;h=(height+7)/8;n*h<=912,1<=n<=255,1<=h<=48,or else return new byte[0].
    `static byte[]` | `definedFlashBmp(java.util.List<android.graphics.Bitmap> list, int n, BitmapToByteData.BmpType bmpType)` defined Flash bitmap FS q n [xL xH yL yH d1...dk]...[xL xH yL yH d1...dk] The maximum FLASH of storage space for 8KB£¬[xL xH yL yH d1...dk]...[xL xH yL yH d1...dk] The sum of not more than8096 single bitmap£ºn=(width+7)/8;h=(height+7)/8;n*h<=1023,1<=n<=1023,1<=h<=288,or return new byte[0].
    `static byte[]` | `definedUserDefinedChineseChar(int c2, byte[] b)` defined user-defined chinese character FS 2 c1 c2 d1...dk
    `static byte[]` | `defineuserDefinedCharacters(int c1, int c2, byte[] b)` User defined character ESC $ Y c1 c2 [x1 d1...d(x1*y)]...[xk d1...d(y*xk)]
    `static byte[]` | `executeMacrodeCommand(int r, int t, int m)` execute macrode command GS ^ r t m
    `static byte[]` | `executePrintDataSaveByTransformToHex()` execute print data save by transform to hex GS ( A pL pH n m
    `static byte[]` | `horizontalPositioning()` horizontal orientation command; HT
    `static byte[]` | `initializePrinter()` Initialize printer ESC @
    `static byte[]` | `openCashboxRealtime(int m, int t)` open cashbox realtime pulse DLE DC4 n m t
    `static byte[]` | `openOrCloseAutoReturnPrintState(int n)` open or close auto return print state GS a n
    `static byte[]` | `printAndBackStandardmodel()` print and back standard model FF
    `static byte[]` | `PrintAndCarriageReturn()` print and carriage return CR
    `static byte[]` | `printAndFeed(int n)` print and feed ESC J n
    `static byte[]` | `printAndFeedForward(int n)` print and feed forward n line ESC d n
    `static byte[]` | `printAndFeedLine()` print and feed command LF
    `static byte[]` | `printBarcode(int m, int n, java.lang.String content)` print barcode GS k m n d1...dn
    `static byte[]` | `printBarcode(int m, java.lang.String content)` print barcode GS k m d1...dk NUL
    `static byte[]` | `printBmpInFLASH(int n, int m)` print the bitmap in the FLASH FS p n m
    `static byte[]` | `printByPagemodel()` print in pagemodel ESC FF this command only used in pagemode
    `static byte[]` | `printDownLoadBmp(int m)` print download bitmap GS / m
    `static byte[]` | `printerOrderBuzzingAndWarningLight(int m, int t, int n)` The printer beep sound and alarm lights flashing ESC C m t n
    `static byte[]` | `printerOrderBuzzingHint(int n, int t)` printer order buzzing hint ESC B n t
    `static byte[]` | `printRasterBmp(int m, android.graphics.Bitmap bitmap, BitmapToByteData.BmpType bmpType)` print raster bitmap GS v 0 m
    `static byte[]` | `PrintsTheMaxiCodeSymbolDataInTheSymbolStorageArea()` Prints the MaxiCode symbol data in the symbol storage area GS ( k p L p H cn fn m (fn = 81) Hex 1D 28 6B p L p H cn fn m [Range] p L = 3, p H = 0 cn = 50 fn = 81 m = 48
    `static byte[]` | `PrintsThePDF417SymbolDataInTheSymbolStorageArea()` Prints the PDF417 symbol data in the symbol storage area.
    `static byte[]` | `PrintsTheQRCodeSymbolDataInTheSymbolStorageArea()` Prints the QRCode symbol data in the symbol storage area.
    `static byte[]` | `requestRealtimeForPrint(int n)` request realtime for print DLE ENQ n
    `static byte[]` | `returnState(int n)` returnState GS r n
    `static byte[]` | `selectAlignment(int n)` select aligment ESC a n
    `static byte[]` | `selectBmpModel(int m, int nL, int nH, byte[] b)` Select the bitmap mode ESC * m nL nH d1 d2...dk
    `static byte[]` | `selectCharacterCodePage(int n)` select character codepage ESC t n
    `static byte[]` | `selectCharacterSize(int n)` select character size GS ! n
    `static byte[]` | `selectChineseCharModel()` select chinese-char model FS &
    `static byte[]` | `selectCutPagerModerAndCutPager(int m)` select the model of cutpage and cut the pager GS V m
    `static byte[]` | `selectCutPagerModerAndCutPager(int m, int n)` select cut paper model and cut paper GS V m n
    `static byte[]` | `selectFont(int n)` Select Font ESC M n
    `static byte[]` | `selectHRICharacterPrintPosition(int n)` select HRI character of barcode position to print GS H n HRI is the explanation of the barcode content GS H n
    `static byte[]` | `selectHRIFont(int n)` select HRI font type for the barcode content GS f n
    `static byte[]` | `selectInternationalCharacterSets(int n)` select international character set ESC R n
    `static byte[]` | `selectOrCancelBoldModel(int n)` Select or cancel the bold model ESC E n
    `static byte[]` | `selectOrCancelChineseCharDoubleWH(int n)` select or cancel chinese double width and height FS W n
    `static byte[]` | `selectOrCancelChineseCharUnderLineModel(int n)` select or cancel chinese-char underline model FS - n
    `static byte[]` | `selectOrCancelConvertPrintModel(int n)` select or cancel convert print model ESC { n
    `static byte[]` | `selectOrCancelCW90(int n)` select or cancel 90 degrees clockwise this command only effect in the page model ESC V n
    `static byte[]` | `selectOrCancelDoubelPrintModel(int n)` Select or cancel double print mode ESC G n
    `static byte[]` | `selectOrCancelInvertPrintModel(int n)` select or cancel invert print model GS B n
    `static byte[]` | `selectOrCancelUnderlineModel(int n)` Select or cancel underline mode ESC-n
    `static byte[]` | `selectOrCancleCustomChar(int n)` select or cancel custom-char ESC % n
    `static byte[]` | `selectPageModel()` select page model ESC L
    `static byte[]` | `selectPrintDirectionUnderPageModel(int n)` select the print direction under pager model ESC T n
    `static byte[]` | `selectPrinter(int n)` select priner ESC=n
    `static byte[]` | `selectPrintModel(int n)` select the print model ESC £¡n
    `static byte[]` | `selectPrintTransducerOutPutPageOutSignal(int n)` select print transducer output pageout signal ESC c 3 n
    `static byte[]` | `selectPrintTransducerStopPrint(int n)` select print transducer stop to print ESC c 4 n
    `static byte[]` | `selectStandardModel()` select standar model ESC S
    `static byte[]` | `sendRealtimestatus(int n)` send real-times status DLE EOT n
    `static byte[]` | `setAbsolutePositionUnderPageModel(int nL, int nH)` set absolute position under page model GS $ nL nH
    `static byte[]` | `setAbsolutePrintPosition(int m, int n)` set absolutely print position ESC $ nL nH
    `static byte[]` | `setBarcodeHeight(int n)` set barcode height GS h n
    `static byte[]` | `setBarcodeWidth(int n)` set barcode width GS w n
    `static byte[]` | `setCharRightSpace(int n)` set char right side space
    `static byte[]` | `setChineseCharacterModel(int n)` set chinese-char model FS ! n
    `static byte[]` | `setChineseCharLeftAndRightSpace(int n1, int n2)` setting chinese character left and right space FS S n1 n2
    `static byte[]` | `setDefultLineSpacing()` Set the default line spacing ESC 2 About 3.75mm
    `static byte[]` | `setHorizontalAndVerticalMoveUnit(int x, int y)` setting the positon of content horizontal and vertical move GS P x y
    `static byte[]` | `setHorizontalmovementPosition(byte[] b)` set horizontal movement position ESC D n1...nk NUL;
    `static byte[]` | `setLeftSpace(int nL, int nH)` set left space GS L nL nH
    `static byte[]` | `setLineSpaceing(int n)` line-height ESC 3 n
    `static byte[]` | `setPrintAreaUnderPageModel(int xL, int xH, int yL, int yH, int dxL, int dxH, int dyL, int dyH)` set print area under page model ESC W xL xH yL yH dxL dxH dyL dyH
    `static byte[]` | `setPrintAreaWidth(int nL, int nH)` setting the width of print area GS W nL nH
    `static byte[]` | `setRelativeHorizontalPrintPosition(int nL, int nH)` set relative horizontal print position please refer to the details of programming instruction manual ESC \ nL nH
    `static byte[]` | `SetsTheErrorCorrectionLevelForPDF417(int m, int n)` Sets the error correction level for PDF417 symbols.
    `static byte[]` | `SetsTheErrorCorrectionLevelForQRCodeSymbol(int n)` Sets the error correction level for QRCode symbol.
    `static byte[]` | `SetsTheModuleHeightForPDF417(int n)` Sets the module height to [(module width) ¡Á n].
    `static byte[]` | `SetsTheModuleWidthOfPDF417(int n)` Sets the module width of one PDF417 symbol to n dots.
    `static byte[]` | `SetsTheNumberOfColumnsOfTheDataAreaForPDF417(int n)` Sets the number of columns of the data area for PDF417 GS ( k p L p H cn fn n (fn = 65) (p L + p H ¡Á 256) = 3 (p L = 3, p H = 0) cn = 48 fn = 65
    `static byte[]` | `SetsTheNumberOfRowsOfTheDataAreaForPDF417(int n)` Sets the number of rows of the data area for PDF417 GS ( k p L p H cn fn n (fn = 66) (p L + p H ¡Á 256) = 3 (p L = 3, p H = 0) cn = 48 fn = 66
    `static byte[]` | `SetsTheSizeOfTheQRCodeSymbolModule(int n)` Sets the size of the QRCode symbol module to [n dots ¡Á n dots] GS ( k p L p H cn fn n (fn = 67) Hex 1D 28 6B p L p H cn fn n [Range] p L = 3, p H = 0 cn = 49 fn = 67 1<=n<=16 [Default] n = 3
    `static byte[]` | `setVerticalRelativePositionUnderPageModel(int nL, int nH)` set vertical relative under page model GS \ nL nH
    `static byte[]` | `SpecifiesOrCancelsVariousPDF417SymbolOptions(int m)` Specifies or cancels various PDF417 symbol options GS ( k p L p H cn fn m (fn = 70) [Range] (p L + p H ¡Á 256) = 3 (p L = 3, p H = 0) cn = 48 fn = 70 m = 0, 1 [Default] m = 0
    `static byte[]` | `SpecifiesTheModeForMaxiCodeSymbol(int n)` Specifies the mode for MaxiCode symbol GS ( k p L p H cn fn n (fn = 65) Hex 1D 28 6B p L p H cn fn n [Range] p L = 3, p H = 0 cn = 50 fn = 65 50 ¡Ü n ¡Ü 54 [Default] n = 50
    `static byte[]` | `SpecifiesTheModeForQRCodeSymbolByn1(int n1)` Specifies the mode for QRCode symbol by n1; GS ( k p L p H cn fn n1 n2 (fn = 65); Hex 1D 28 6B p L p H cn fn n1 n2; [Range] p L = 4, p H = 0; cn = 49; fn = 65; n1 = 49, 50; n2 = 0; [Default] n1 = 50; n2 = 0
    `static byte[]` | `startOrStopMacrodeFinition()` start or stop macrode finition GS £º
    `static byte[]` | `StoresSymbolDataInItheMaxiCodeSymbolStorageArea(int pL, int pH, byte[] b)` Stores symbol data (d1¡dk) in the MaxiCode symbol storage area.
    `static byte[]` | `StoresSymbolDataInThePDF417SymbolStorageArea(int pL, int pH, byte[] b)` Stores symbol data (d1...dk) in the PDF417 symbol storage area.
    `static byte[]` | `StoresSymbolDataInTheQRCodeSymbolStorageArea(int pL, int pH, byte[] b)` Stores symbol data (d1¡dk) in the QRCode symbol storage area.
    `static byte[]` | `strTobytes(java.lang.String str)` string to byte[]
    `static byte[]` | `TransmitsTheSizeOfTheEncodedSymbolDataInTheSymbolStorageAreaMaxiCode()` Transmits the size of the encoded symbol data in the symbol storage area ASCII GS ( k p L p H cn fn m Hex 1D 28 6B p L p H cn fn m [Range] p L = 3, pH = 0 cn = 50 fn = 82 m = 48
    `static byte[]` | `TransmitsTheSizeOfTheSymbolDataInTheSymbolStorageAreaPDF417()` Transmits the size of the symbol data in the symbol storage area.
    `static byte[]` | `TransmitsTheSizeOfTheSymbolDataInTheSymbolStorageAreaQRCode()` Transmits the size of the symbol data in the symbol storage area GS ( k p L p H cn fn m (fn = 82) Hex 1D 28 6B p L p H cn fn m [Range] p L = 3, pH = 0 cn = 49 fn = 82 m = 48

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataForSendToPrinterPos80

          public DataForSendToPrinterPos80()

  - ### Method Detail

    - #### horizontalPositioning

          public static byte[] horizontalPositioning()

      horizontal orientation command; HT
      Returns:
        byte[];

    - #### printAndFeedLine

          public static byte[] printAndFeedLine()

      print and feed command LF
      Returns:
        byte[];

    - #### printAndBackStandardmodel

          public static byte[] printAndBackStandardmodel()

      print and back standard model FF
      Returns:
        byte[];

    - #### PrintAndCarriageReturn

          public static byte[] PrintAndCarriageReturn()

      print and carriage return CR

    - #### canclePrintDataByPagemodel

          public static byte[] canclePrintDataByPagemodel()

      cancel the data for print in page model CAN
      Returns:
        byte[];

    - #### sendRealtimestatus

          public static byte[] sendRealtimestatus(int n)

      send real-times status DLE EOT n
      Parameters:
        `n,1<=n<=4;` -
      Returns:
        byte[];

    - #### requestRealtimeForPrint

          public static byte[] requestRealtimeForPrint(int n)

      request realtime for print DLE ENQ n
      Parameters:
        `n,1<=n<=2` -

    - #### openCashboxRealtime

          public static byte[] openCashboxRealtime(int m,
                                   int t)

      open cashbox realtime pulse DLE DC4 n m t
      Parameters:
        `m:0,1;` -
        `t,1<=t<=8;` -

    - #### printByPagemodel

          public static byte[] printByPagemodel()

      print in pagemodel ESC FF this command only used in pagemode

    - #### setCharRightSpace

          public static byte[] setCharRightSpace(int n)

      set char right side space
      Parameters:
        `n` - :0-255£»

    - #### selectPrintModel

          public static byte[] selectPrintModel(int n)

      select the print model ESC £¡n
      Parameters:
        `n:0-255` -

    - #### setAbsolutePrintPosition

          public static byte[] setAbsolutePrintPosition(int m,
                                        int n)

      set absolutely print position ESC $ nL nH
      Parameters:
        `m£¬n£¬m+n*256£¬ranges:0-255£»` -

    - #### selectOrCancleCustomChar

          public static byte[] selectOrCancleCustomChar(int n)

      select or cancel custom-char ESC % n
      Parameters:
        `n£¬0-255£¬The` - lowest is 1,use;the lowest is 0, do not use.

    - #### defineuserDefinedCharacters

          public static byte[] defineuserDefinedCharacters(int c1,
                                           int c2,
                                           byte[] b)

      User defined character ESC $ Y c1 c2 [x1 d1...d(x1*y)]...[xk d1...d(y*xk)]
      Parameters:
        `c1£¬c2£¬c1` - is the initial character code£¬c2 is the termination of the character code£¬ranges32<=c1<=c2<=127;
        `b£¬The` - format for the byte[]:[x1 d1...d(x1*y)]...[xk d1...d(y*xk)]£¬Set B for download character character data. Custom character rules for details, please refer to the manual programming£»

    - #### selectBmpModel

          public static byte[] selectBmpModel(int m,
                              int nL,
                              int nH,
                              byte[] b)

      Select the bitmap mode ESC * m nL nH d1 d2...dk
      Parameters:
        `m£º0,1,32£¬33,represents` - different point density
        `nL£º0-255` -
        `nH£º0-3` -
        `b£¬b={d1` - d2...dk}£¬m=0 or 1,k=nL+nH*256;m=32 or 33,k=(nL+nH*256)*3;0<=d<=255; Please refer to the instruction manual programming

    - #### selectOrCancelUnderlineModel

          public static byte[] selectOrCancelUnderlineModel(int n)

      Select or cancel underline mode ESC-n
      Parameters:
        `n:0,48.1,49` - (remove underlining use underscores 1 points wide); 2,50 (2 bit wide) underline;

    - #### setDefultLineSpacing

          public static byte[] setDefultLineSpacing()

      Set the default line spacing ESC 2 About 3.75mm

    - #### setLineSpaceing

          public static byte[] setLineSpaceing(int n)

      line-height ESC 3 n
      Parameters:
        `n£º0-255` -

    - #### selectPrinter

          public static byte[] selectPrinter(int n)

      select priner ESC=n
      Parameters:
        `n£º0` - or 1

    - #### cancelUserDefinedCharacters

          public static byte[] cancelUserDefinedCharacters(int n)

      cancel user defined characters ESC ? n Cancel the user-defined characters in the code for the n character
      Parameters:
        `n:32-127` -

    - #### initializePrinter

          public static byte[] initializePrinter()

      Initialize printer ESC @

    - #### setHorizontalmovementPosition

          public static byte[] setHorizontalmovementPosition(byte[] b)

      set horizontal movement position ESC D n1...nk NUL;
      Parameters:
        `b={n1...nk};k<=32;movement` - position=width of character * n£»

    - #### selectOrCancelBoldModel

          public static byte[] selectOrCancelBoldModel(int n)

      Select or cancel the bold model ESC E n
      Parameters:
        `n£¬0-255£¬The` - lowest is 1, bold; 0, cancel.

    - #### selectOrCancelDoubelPrintModel

          public static byte[] selectOrCancelDoubelPrintModel(int n)

      Select or cancel double print mode ESC G n
      Parameters:
        `n£¬0-255£¬The` - lowest is 1, double choose print; the lowest is 0, cancel the double print

    - #### printAndFeed

          public static byte[] printAndFeed(int n)

      print and feed ESC J n
      Parameters:
        `n` - £º0-255

    - #### selectPageModel

          public static byte[] selectPageModel()

      select page model ESC L

    - #### selectFont

          public static byte[] selectFont(int n)

      Select Font ESC M n
      Parameters:
        `n` - ranges£º0£¬1£¬48£¬49£»0£¬48 standard font ;1,49 Font compression

    - #### selectInternationalCharacterSets

          public static byte[] selectInternationalCharacterSets(int n)

      select international character set ESC R n
      Parameters:
        `n£º0-15£»A` - representative of an international character set

    - #### selectStandardModel

          public static byte[] selectStandardModel()

      select standar model ESC S

    - #### selectPrintDirectionUnderPageModel

          public static byte[] selectPrintDirectionUnderPageModel(int n)

      select the print direction under pager model ESC T n
      Parameters:
        `n£º0<=n<=3,48<=n<=51;n:The` - specified print area and the direction of the starting position

    - #### selectOrCancelCW90

          public static byte[] selectOrCancelCW90(int n)

      select or cancel 90 degrees clockwise this command only effect in the page model ESC V n
      Parameters:
        `n:0<=n<=1,48<=n<=49;0,48:cancel£¬1,49:chooes` -

    - #### setPrintAreaUnderPageModel

          public static byte[] setPrintAreaUnderPageModel(int xL,
                                          int xH,
                                          int yL,
                                          int yH,
                                          int dxL,
                                          int dxH,
                                          int dyL,
                                          int dyH)

      set print area under page model ESC W xL xH yL yH dxL dxH dyL dyH
      Parameters:
        `0<=xL` - xH yL yH dxL dxH dyL dyH<=255

    - #### setRelativeHorizontalPrintPosition

          public static byte[] setRelativeHorizontalPrintPosition(int nL,
                                                  int nH)

      set relative horizontal print position please refer to the details of programming instruction manual ESC \ nL nH
      Parameters:
        `nL,nH£º0-255` -

    - #### selectAlignment

          public static byte[] selectAlignment(int n)

      select aligment ESC a n
      Parameters:
        `n:0-2` - or 48-50;Respectively: left aligned, centered, right aligned

    - #### selectPrintTransducerOutPutPageOutSignal

          public static byte[] selectPrintTransducerOutPutPageOutSignal(int n)

      select print transducer output pageout signal ESC c 3 n
      Parameters:
        `n£º0-255` -

    - #### selectPrintTransducerStopPrint

          public static byte[] selectPrintTransducerStopPrint(int n)

      select print transducer stop to print ESC c 4 n
      Parameters:
        `n:0-255` -

    - #### allowOrForbidPressButton

          public static byte[] allowOrForbidPressButton(int n)

      allow or forbiden the press button ESC c 5 n
      Parameters:
        `n£º0-255,The` - lowest is 0, enable the pree button; the lowest is 0,disable the press button;

    - #### printAndFeedForward

          public static byte[] printAndFeedForward(int n)

      print and feed forward n line ESC d n
      Parameters:
        `n:0-255£»` -

    - #### creatCashboxContorlPulse

          public static byte[] creatCashboxContorlPulse(int m,
                                        int t1,
                                        int t2)

      creat cashbox contorl pulse ESC p m t1 t2
      Parameters:
        `m` - £ºconnecting pin£¬ranges£º0,1,48,49£»
        `t1,t2£º0-255` -

    - #### selectCharacterCodePage

          public static byte[] selectCharacterCodePage(int n)

      select character codepage ESC t n
      Parameters:
        `n£º0<=n<=10,16<=n<=19;` -

    - #### selectOrCancelConvertPrintModel

          public static byte[] selectOrCancelConvertPrintModel(int n)

      select or cancel convert print model ESC { n
      Parameters:
        `n£ºThe` - lowest is 0,cancel,the lowest is 1,chooes;ranges£º0-255£»

    - #### printBmpInFLASH

          public static byte[] printBmpInFLASH(int n,
                               int m)

      print the bitmap in the FLASH FS p n m
      Parameters:
        `n£¬bitmap£¬0-255` -
        `m£º0-3` - or 48-51

    - #### definedFlashBmp

          public static byte[] definedFlashBmp(java.util.List<android.graphics.Bitmap> list,
                               int n,
                               BitmapToByteData.BmpType bmpType)

      defined Flash bitmap FS q n [xL xH yL yH d1...dk]...[xL xH yL yH d1...dk] The maximum FLASH of storage space for 8KB£¬[xL xH yL yH d1...dk]...[xL xH yL yH d1...dk] The sum of not more than8096 single bitmap£ºn=(width+7)/8;h=(height+7)/8;n*h<=1023,1<=n<=1023,1<=h<=288,or return new byte[0]. The height of the bitmap, the best is divisible by 8
      Parameters:
        `list` - bitmap list£¬The bitmap object stored in the flash ,list is null or size is 0£¬return a new byte[0]£»
        `n` - the size of list
        `bmptype` - The type you want to print the bitmap,Threshold and Dithering

    - #### selectCharacterSize

          public static byte[] selectCharacterSize(int n)

      select character size GS ! n
      Parameters:
        `n` - :0-255£»n: 0-3 set the height of the characters, 4-7 is used to set the width of the characters

    - #### setAbsolutePositionUnderPageModel

          public static byte[] setAbsolutePositionUnderPageModel(int nL,
                                                 int nH)

      set absolute position under page model GS $ nL nH
      Parameters:
        `nL,nH,nl+nh*256` - repsent the position£¬inch£»nl and nh ranges£º0-255£»

    - #### definedDownLoadBmp

          public static byte[] definedDownLoadBmp(android.graphics.Bitmap bitmap,
                                  BitmapToByteData.BmpType bmpType)

      defined downLoad bitmap GS x y [ d1...d(xy*8)] single bitmap £ºn=(width+7)/8;h=(height+7)/8;n*h<=912,1<=n<=255,1<=h<=48,or else return new byte[0]. The height of the bitmap, the best is divisible by 8£¬or else print error.
      Parameters:
        `bitmap` - You want to download the bitmap to the printer
        `bmptype` - The type you want to print the bitmap,Threshold and Dithering

    - #### executePrintDataSaveByTransformToHex

          public static byte[] executePrintDataSaveByTransformToHex()

      execute print data save by transform to hex GS ( A pL pH n m

    - #### printDownLoadBmp

          public static byte[] printDownLoadBmp(int m)

      print download bitmap GS / m
      Parameters:
        `m£¬The` - specified print mode£¬ranges£º0-3 or 48-51£»

    - #### startOrStopMacrodeFinition

          public static byte[] startOrStopMacrodeFinition()

      start or stop macrode finition GS £º
      Parameters:
        `` -

    - #### selectOrCancelInvertPrintModel

          public static byte[] selectOrCancelInvertPrintModel(int n)

      select or cancel invert print model GS B n
      Parameters:
        `n£º0-255£¬The` - lowest is 0,cancel,the lowest is 1,chooes;

    - #### selectHRICharacterPrintPosition

          public static byte[] selectHRICharacterPrintPosition(int n)

      select HRI character of barcode position to print GS H n HRI is the explanation of the barcode content GS H n
      Parameters:
        `n` - (range:0-3 or 48-51£»position of the barcode content)

    - #### setLeftSpace

          public static byte[] setLeftSpace(int nL,
                            int nH)

      set left space GS L nL nH
      Parameters:
        `nL£¬nH£¬range:0-255£¬£šnl+nh*256£©` - horizontal movement represent left space. unit: inch

    - #### setHorizontalAndVerticalMoveUnit

          public static byte[] setHorizontalAndVerticalMoveUnit(int x,
                                                int y)

      setting the positon of content horizontal and vertical move GS P x y
      Parameters:
        `x:` - param of horizonatal£¬range:0-255
        `y:` - param of vertical , range :0-255 x=0 and y=0,x,y are set to the default value

    - #### selectCutPagerModerAndCutPager

          public static byte[] selectCutPagerModerAndCutPager(int m)

      select the model of cutpage and cut the pager GS V m
      Parameters:
        `m£º0£¬48£¬all` - cut£»1,49£¬half cut

    - #### selectCutPagerModerAndCutPager

          public static byte[] selectCutPagerModerAndCutPager(int m,
                                              int n)

      select cut paper model and cut paper GS V m n
      Parameters:
        `m£º66` -
        `n:feed` - n£¬half cut paper

    - #### setPrintAreaWidth

          public static byte[] setPrintAreaWidth(int nL,
                                 int nH)

      setting the width of print area GS W nL nH
      Parameters:
        `(nl+nh*256)*Lateral` - movement unit£¬width of print area

    - #### setVerticalRelativePositionUnderPageModel

          public static byte[] setVerticalRelativePositionUnderPageModel(int nL,
                                                         int nH)

      set vertical relative under page model GS \ nL nH
      Parameters:
        `(nl+nh*256)*vertical` - move.Relative to the current print position vertical moving distance

    - #### executeMacrodeCommand

          public static byte[] executeMacrodeCommand(int r,
                                     int t,
                                     int m)

      execute macrode command GS ^ r t m
      Parameters:
        `r£º0-255£¬times` - of execution
        `t£º0-255£¬time` - of waitting
        `m£º0` - or 1£¬model of excution

    - #### openOrCloseAutoReturnPrintState

          public static byte[] openOrCloseAutoReturnPrintState(int n)

      open or close auto return print state GS a n
      Parameters:
        `n£¬0-255£¬` -

    - #### selectHRIFont

          public static byte[] selectHRIFont(int n)

      select HRI font type for the barcode content GS f n
      Parameters:
        `n` - £º(0,48 : standard);(1,49:compression)

    - #### setBarcodeHeight

          public static byte[] setBarcodeHeight(int n)

      set barcode height GS h n
      Parameters:
        `n` - £º1-255;defaul :162

    - #### printBarcode

          public static byte[] printBarcode(int m,
                            java.lang.String content)

      print barcode GS k m d1...dk NUL
      Parameters:
        `m,barcode` - type£º0-6,65-73£¬when m=73,content must add the selection of charset , such as £º{A£¬{B£¬{C ...£»
        `content` - :string content of the barcode. The size and the range of the string should refer to instruction set of barcode print

    - #### printBarcode

          public static byte[] printBarcode(int m,
                            int n,
                            java.lang.String content)

      print barcode GS k m n d1...dn
      Parameters:
        `m,barcode` - type£º0-6,65-73£¬when m=73,content must add the selection of charset , such as £º{A£¬{B£¬{C ...£»
        `n` - limitation of data lenght. size of content can not exceed the n
        `content` - :string content of the barcode. The size and the range of the string should refer to instruction set of barcode print

    - #### returnState

          public static byte[] returnState(int n)

      returnState GS r n
      Parameters:
        `n£¬ranges£º1,2,49,50£»` - 1,49Returns the sensor status 2,50Return to the state of the cashbox

    - #### printRasterBmp

          public static byte[] printRasterBmp(int m,
                              android.graphics.Bitmap bitmap,
                              BitmapToByteData.BmpType bmpType)

      print raster bitmap GS v 0 m
      Parameters:
        `m` - :(print type:0-3 or 48-51 ;defaul typem=0;)
        `bitmap` - bitmap (please refer to to Programming manual by using this API)
        `bmpType` - Processing into a single color bitmap

    - #### setBarcodeWidth

          public static byte[] setBarcodeWidth(int n)

      set barcode width GS w n
      Parameters:
        `n` - range:2-6;default:3£»

    - #### setChineseCharacterModel

          public static byte[] setChineseCharacterModel(int n)

      set chinese-char model FS ! n
      Parameters:
        `n:0-255£»diferent` - location of the byte represent diferent char model

    - #### selectChineseCharModel

          public static byte[] selectChineseCharModel()

      select chinese-char model FS &

    - #### selectOrCancelChineseCharUnderLineModel

          public static byte[] selectOrCancelChineseCharUnderLineModel(int n)

      select or cancel chinese-char underline model FS - n
      Parameters:
        `n£º0-2` - or 48-50£»

    - #### CancelChineseCharModel

          public static byte[] CancelChineseCharModel()

      cancel chinese-char model FS .

    - #### definedUserDefinedChineseChar

          public static byte[] definedUserDefinedChineseChar(int c2,
                                             byte[] b)

      defined user-defined chinese character FS 2 c1 c2 d1...dk
      Parameters:
        `c2:A1H<=c2<=FEH` -
        `b,length:72£¬` - data size of the user-defined chinese character.

    - #### setChineseCharLeftAndRightSpace

          public static byte[] setChineseCharLeftAndRightSpace(int n1,
                                               int n2)

      setting chinese character left and right space FS S n1 n2
      Parameters:
        `n1:left` - space£¬(range:0-255)
        `n2:right` - space£¬(range:0-255)

    - #### selectOrCancelChineseCharDoubleWH

          public static byte[] selectOrCancelChineseCharDoubleWH(int n)

      select or cancel chinese double width and height FS W n
      Parameters:
        `n£º0-255£»only` - the lowest order bit effect .(0:cancel;1:select)

    - #### printerOrderBuzzingHint

          public static byte[] printerOrderBuzzingHint(int n,
                                       int t)

      printer order buzzing hint ESC B n t
      Parameters:
        `n` - Buzzer number:1-9
        `t` - time£¬t*50ms,1-9

    - #### printerOrderBuzzingAndWarningLight

          public static byte[] printerOrderBuzzingAndWarningLight(int m,
                                                  int t,
                                                  int n)

      The printer beep sound and alarm lights flashing ESC C m t n
      Parameters:
        `m` - The number of times of alarm buzzer lights flashing.range:1-20
        `t` - Each tweet or blinking interval£¬£št*50ms£©£¬ranges:1-20
        `n` - 0-3£»Which indicates whether tweets, flashing£»

    - #### SetsTheNumberOfColumnsOfTheDataAreaForPDF417

          public static byte[] SetsTheNumberOfColumnsOfTheDataAreaForPDF417(int n)

      Sets the number of columns of the data area for PDF417 GS ( k p L p H cn fn n (fn = 65) (p L + p H ¡Á 256) = 3 (p L = 3, p H = 0) cn = 48 fn = 65
      Parameters:
        `0` - ¡Ü n ¡Ü 30;

    - #### SetsTheNumberOfRowsOfTheDataAreaForPDF417

          public static byte[] SetsTheNumberOfRowsOfTheDataAreaForPDF417(int n)

      Sets the number of rows of the data area for PDF417 GS ( k p L p H cn fn n (fn = 66) (p L + p H ¡Á 256) = 3 (p L = 3, p H = 0) cn = 48 fn = 66
      Parameters:
        `n` - =0,3 ¡Ü n ¡Ü 90;

    - #### SetsTheModuleWidthOfPDF417

          public static byte[] SetsTheModuleWidthOfPDF417(int n)

      Sets the module width of one PDF417 symbol to n dots. GS ( k p L p H cn fn n (fn = 67) [Range] (p L + p H ¡Á 256) = 3 (p L = 3, p H = 0) cn = 48 fn = 67
      Parameters:
        `2` - ¡Ü n ¡Ü 8 [Default] n =3

    - #### SetsTheModuleHeightForPDF417

          public static byte[] SetsTheModuleHeightForPDF417(int n)

      Sets the module height to [(module width) ¡Á n]. GS ( k p L p H cn fn n (fn = 68) [Range] (p L + p H ¡Á 256) = 3 (p L = 3, p H = 0) cn = 48 fn = 68
      Parameters:
        `2` - ¡Ü n ¡Ü 8 [Default] n = 3

    - #### SetsTheErrorCorrectionLevelForPDF417

          public static byte[] SetsTheErrorCorrectionLevelForPDF417(int m,
                                                    int n)

      Sets the error correction level for PDF417 symbols. GS ( k p L p H cn fn m n (fn = 69) [Range] (p L + p H ¡Á 256) = 4 (p L = 4, p H = 0) cn = 48 fn = 69 m = 48, 49 48 ¡Ü n ¡Ü 56 (when m = 48 is specified) 1 ¡Ü n ¡Ü 40 (when m = 49 is specified) [Default] m = 49, n = 1

    - #### SpecifiesOrCancelsVariousPDF417SymbolOptions

          public static byte[] SpecifiesOrCancelsVariousPDF417SymbolOptions(int m)

      Specifies or cancels various PDF417 symbol options GS ( k p L p H cn fn m (fn = 70) [Range] (p L + p H ¡Á 256) = 3 (p L = 3, p H = 0) cn = 48 fn = 70 m = 0, 1 [Default] m = 0

    - #### StoresSymbolDataInThePDF417SymbolStorageArea

          public static byte[] StoresSymbolDataInThePDF417SymbolStorageArea(int pL,
                                                            int pH,
                                                            byte[] b)

      Stores symbol data (d1...dk) in the PDF417 symbol storage area. GS ( k p L p H cn fn m d1 ¡ dk (fn = 80) [Range] 4 ¡Ü (p L + p H ¡Á 256) ¡Ü 65535 (0 ¡Ü p L ¡Ü 255, 0 ¡Ü p H ¡Ü 255) cn = 48 fn = 80 m = 48
      Parameters:
        `b={d1...dk},` - 0 ¡Ü d ¡Ü 255 k = (p L + p H ¡Á 256) šC 3

    - #### PrintsThePDF417SymbolDataInTheSymbolStorageArea

          public static byte[] PrintsThePDF417SymbolDataInTheSymbolStorageArea()

      Prints the PDF417 symbol data in the symbol storage area. GS ( k p L p H cn fn m (fn = 81) [Range] (p L + p H ¡Á 256) = 3 (p L = 3, p H = 0) cn = 48 fn = 81 m = 48

    - #### TransmitsTheSizeOfTheSymbolDataInTheSymbolStorageAreaPDF417

          public static byte[] TransmitsTheSizeOfTheSymbolDataInTheSymbolStorageAreaPDF417()

      Transmits the size of the symbol data in the symbol storage area. GS ( k p L p H cn fn m (fn = 82) Hex 1D 28 6B p L p H cn fn m [Range] (p L + p H ¡Á 256) = 3 (p L = 3, pH = 0) cn = 48 fn = 82 m = 48

    - #### SpecifiesTheModeForQRCodeSymbolByn1

          public static byte[] SpecifiesTheModeForQRCodeSymbolByn1(int n1)

      Specifies the mode for QRCode symbol by n1; GS ( k p L p H cn fn n1 n2 (fn = 65); Hex 1D 28 6B p L p H cn fn n1 n2; [Range] p L = 4, p H = 0; cn = 49; fn = 65; n1 = 49, 50; n2 = 0; [Default] n1 = 50; n2 = 0

    - #### SetsTheSizeOfTheQRCodeSymbolModule

          public static byte[] SetsTheSizeOfTheQRCodeSymbolModule(int n)

      Sets the size of the QRCode symbol module to [n dots ¡Á n dots] GS ( k p L p H cn fn n (fn = 67) Hex 1D 28 6B p L p H cn fn n [Range] p L = 3, p H = 0 cn = 49 fn = 67 1<=n<=16 [Default] n = 3

    - #### SetsTheErrorCorrectionLevelForQRCodeSymbol

          public static byte[] SetsTheErrorCorrectionLevelForQRCodeSymbol(int n)

      Sets the error correction level for QRCode symbol. GS ( k p L p H cn fn n (fn = 69) Hex 1D 28 6B p L p H cn fn n [Range] p L = 3, p H = 0 cn = 49 fn = 69 48 ¡Ü n ¡Ü 51 [Default] n = 48

    - #### StoresSymbolDataInTheQRCodeSymbolStorageArea

          public static byte[] StoresSymbolDataInTheQRCodeSymbolStorageArea(int pL,
                                                            int pH,
                                                            byte[] b)

      Stores symbol data (d1¡dk) in the QRCode symbol storage area. GS ( k p L p H cn fn m d1¡dk (fn = 80) Hex 1D 28 6B p L p H cn fn m d1¡dk [Range] 4 ¡Ü (p L + p H ¡Á 256) ¡Ü 7092 (0 ¡Ü p L ¡Ü 255, 0 ¡Ü p H ¡Ü 28) cn = 49 fn = 80 m = 48 0 ¡Ü d ¡Ü 255
      Parameters:
        `b={d1...dk};` - k = (p L + p H ¡Á 256) šC 3

    - #### PrintsTheQRCodeSymbolDataInTheSymbolStorageArea

          public static byte[] PrintsTheQRCodeSymbolDataInTheSymbolStorageArea()

      Prints the QRCode symbol data in the symbol storage area. GS ( k p L p H cn fn m (fn = 81) Hex 1D 28 6B p L p H cn fn m [Range] p L = 3, p H = 0 cn = 49 fn = 81 m = 48

    - #### TransmitsTheSizeOfTheSymbolDataInTheSymbolStorageAreaQRCode

          public static byte[] TransmitsTheSizeOfTheSymbolDataInTheSymbolStorageAreaQRCode()

      Transmits the size of the symbol data in the symbol storage area GS ( k p L p H cn fn m (fn = 82) Hex 1D 28 6B p L p H cn fn m [Range] p L = 3, pH = 0 cn = 49 fn = 82 m = 48

    - #### SpecifiesTheModeForMaxiCodeSymbol

          public static byte[] SpecifiesTheModeForMaxiCodeSymbol(int n)

      Specifies the mode for MaxiCode symbol GS ( k p L p H cn fn n (fn = 65) Hex 1D 28 6B p L p H cn fn n [Range] p L = 3, p H = 0 cn = 50 fn = 65 50 ¡Ü n ¡Ü 54 [Default] n = 50

    - #### StoresSymbolDataInItheMaxiCodeSymbolStorageArea

          public static byte[] StoresSymbolDataInItheMaxiCodeSymbolStorageArea(int pL,
                                                               int pH,
                                                               byte[] b)

      Stores symbol data (d1¡dk) in the MaxiCode symbol storage area. GS ( k p L p H cn fn m d1¡dk (fn = 80) Hex 1D 28 6B p L p H cn fn m d1¡dk [Range] 4 ¡Ü (p L + p H ¡Á 256) ¡Ü 141 (0 ¡Ü p L ¡Ü 141, p H = 0) cn = 50 fn = 80 m = 48 1 ¡Ü d ¡Ü 255 k = (p L + p H ¡Á 256) šC 3

    - #### PrintsTheMaxiCodeSymbolDataInTheSymbolStorageArea

          public static byte[] PrintsTheMaxiCodeSymbolDataInTheSymbolStorageArea()

      Prints the MaxiCode symbol data in the symbol storage area GS ( k p L p H cn fn m (fn = 81) Hex 1D 28 6B p L p H cn fn m [Range] p L = 3, p H = 0 cn = 50 fn = 81 m = 48

    - #### TransmitsTheSizeOfTheEncodedSymbolDataInTheSymbolStorageAreaMaxiCode

          public static byte[] TransmitsTheSizeOfTheEncodedSymbolDataInTheSymbolStorageAreaMaxiCode()

      Transmits the size of the encoded symbol data in the symbol storage area ASCII GS ( k p L p H cn fn m Hex 1D 28 6B p L p H cn fn m [Range] p L = 3, pH = 0 cn = 50 fn = 82 m = 48

    - #### strTobytes

          public static byte[] strTobytes(java.lang.String str)

      string to byte[]